Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_SPIPE_Addr Class Reference

Defines the SVR4 STREAM pipe address family address format. More...

`#include <SPIPE_Addr.h>`

Inheritance diagram for ACE_SPIPE_Addr:

[legend]
Collaboration diagram for ACE_SPIPE_Addr:

[legend]
List of all members.

## Public Methods
| ACE_SPIPE_Addr (void)
| Default constructor. More...
| ACE_SPIPE_Addr (const ACE_SPIPE_Addr &sa)
| Copy constructor. More...
| ACE_SPIPE_Addr (const ACE_TCHAR *rendezvous_point, gid_t=0, uid_t=0)
| Create a ACE_SPIPE_Addr from a rendezvous point in the file system. More...
int | set (const ACE_SPIPE_Addr &sa)
| Acts like a copy constructor... More...
int | set (const ACE_TCHAR *rendezvous_point, gid_t=0, uid_t=0)
| Create a ACE_SPIPE_Addr from a rendezvous point in the file system. More...
virtual void * | get_addr (void) const
| Return a pointer to the address. More...
virtual void | set_addr (void *addr, int len)
| Set a pointer to the underlying network address. More...
virtual int | addr_to_string (ACE_TCHAR *addr, size_t) const
| Transform the current address into string format. More...
virtual int | string_to_addr (const ACE_TCHAR *addr)
| Transform the string into the current addressing format. More...
int | operator== (const ACE_SPIPE_Addr &SAP) const
| Check for equality. More...
int | operator!= (const ACE_SPIPE_Addr &SAP) const
| Check for inequality. More...
const ACE_TCHAR * | get_path_name (void) const
| Pathname of rendezvous point in file system. More...
uid_t | user_id (void) const
| Get user id. More...
void | user_id (uid_t uid)
| Set user id. More...
void | group_id (gid_t gid)
| Set group ids. More...
gid_t | group_id (void) const
| Get group ids. More...
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Private Attributes
ACE_SPIPE_Addr::SPIPE_Addr | SPIPE_addr_
| Contains security attributes. More...

## Detailed Description

Defines the SVR4 STREAM pipe address family address format.

## Constructor & Destructor Documentation

ACE_SPIPE_Addr::ACE_SPIPE_Addr | ( | void |  | ) |

| Default constructor.

ACE_SPIPE_Addr::ACE_SPIPE_Addr | ( | const ACE_SPIPE_Addr & | sa | ) |

| Copy constructor.

ACE_SPIPE_Addr::ACE_SPIPE_Addr | ( | const ACE_TCHAR * | addr,
|  | gid_t | gid = 0,
|  | uid_t | uid = 0
| ) |

| Create a ACE_SPIPE_Addr from a rendezvous point in the file system.

## Member Function Documentation

ACE_INLINE int ACE_SPIPE_Addr::addr_to_string | ( | ACE_TCHAR * | s,
|  | size_t | len
| ) | const`[virtual]`

| Transform the current address into string format.

void ACE_SPIPE_Addr::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Addr.

ACE_INLINE void * ACE_SPIPE_Addr::get_addr | ( | void |  | ) | const`[virtual]`

| Return a pointer to the address. Reimplemented from ACE_Addr.

ACE_INLINE const ACE_TCHAR * ACE_SPIPE_Addr::get_path_name | ( | void |  | ) | const

| Pathname of rendezvous point in file system.

ACE_INLINE gid_t ACE_SPIPE_Addr::group_id | ( | void |  | ) | const

| Get group ids.

ACE_INLINE void ACE_SPIPE_Addr::group_id | ( | gid_t | gid | ) |

| Set group ids.

ACE_INLINE int ACE_SPIPE_Addr::operator!= | ( | const ACE_SPIPE_Addr & | sap | ) | const

| Check for inequality.

ACE_INLINE int ACE_SPIPE_Addr::operator== | ( | const ACE_SPIPE_Addr & | sap | ) | const

| Check for equality.

int ACE_SPIPE_Addr::set | ( | const ACE_TCHAR * | addr,
|  | gid_t | gid = 0,
|  | uid_t | uid = 0
| ) |

| Create a ACE_SPIPE_Addr from a rendezvous point in the file system.

int ACE_SPIPE_Addr::set | ( | const ACE_SPIPE_Addr & | sa | ) |

| Acts like a copy constructor...

void ACE_SPIPE_Addr::set_addr | ( | void * | addr,
|  | int | len
| ) | `[virtual]`

| Set a pointer to the underlying network address. Reimplemented from ACE_Addr.

int ACE_SPIPE_Addr::string_to_addr | ( | const ACE_TCHAR * | addr | ) | `[virtual]`

| Transform the string into the current addressing format.

ACE_INLINE void ACE_SPIPE_Addr::user_id | ( | uid_t | uid | ) |

| Set user id.

ACE_INLINE uid_t ACE_SPIPE_Addr::user_id | ( | void |  | ) | const

| Get user id.

## Member Data Documentation

ACE_SPIPE_Addr::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Addr.

struct ACE_SPIPE_Addr::SPIPE_Addr ACE_SPIPE_Addr::SPIPE_addr_`[private]`

| Contains security attributes.

The documentation for this class was generated from the following files:

- SPIPE_Addr.h
- SPIPE_Addr.cpp
- SPIPE_Addr.i